#!/bin/zsh

# Job name
#SBATCH --export=none
#SBATCH --partition=c18m
#SBATCH --job-name=sendReceiveJob

# Specify custom location for standard and error output
#SBATCH --output=stdout.log
#SBATCH --error=stderr.log

# Set runtime limit to 5 minutes
#SBATCH --time=00:05:00

# Request 1 GB of memory
#SBATCH --mem=1G

# Start 2 MPI processes spread across 2 nodes
#SBATCH --nodes=2
#SBATCH --cpus-per-task=1
#SBATCH --ntasks-per-core=1
#SBATCH --ntasks-per-node=1

${MPICC} ${FLAGS_FAST} send_receive.c -o send_receive.exe -lm
export OMP_NUM_THREADS=${SLURM_CPUS_PER_TASK}
${MPIEXEC} ${FLAGS_MPI_BATCH} send_receive_e.exe
