#!/bin/zsh

# Job name
#SBATCH --export=none
#SBATCH --partition=c18m
#SBATCH --job-name=globalJob

# Specify custom locations for the standard output and error
#SBATCH --output=stdout.log
#SBATCH --error=stderr.log

# Limit runtime to 5 minutes
#SBATCH --time=00:05:00

# Request 1 GB
#SBATCH --mem=1G

# Request 2 MPI processes spread across 2 nodes
#SBATCH --nodes=2
#SBATCH --cpus-per-task=1
#SBATCH --ntasks-per-core=1
#SBATCH --ntasks-per-node=1

${MPICC} ${FLAGS_FAST} global.c -o global.exe -lm
export OMP_NUM_THREADS=${SLURM_CPUS_PER_TASK}
${MPIEXEC} ${FLAGS_MPI_BATCH} global.exe
