#!/bin/zsh

# Job name
#SBATCH --export=none
#SBATCH --partition=c18m
#SBATCH --job-name=integrationCJob

# Specify custom location for the standard and error output
#SBATCH --output=stdout.log
#SBATCH --error=stderr.log

# Set runtime limit to 5 minutes
#SBATCH --time=00:05:00

# Request 1 GB of memory
#SBATCH --mem=1G

# Start 4 MPI processes spread across 2 nodes
#SBATCH --nodes=2
#SBATCH --cpus-per-task=1
#SBATCH --ntasks-per-core=1
#SBATCH --ntasks-per-node=2

${MPIFC} ${FLAGS_FAST} -cpp integration_c.f90 -o integration_c.exe
export OMP_NUM_THREADS=${SLURM_CPUS_PER_TASK}
${MPIEXEC} ${FLAGS_MPI_BATCH} integration_c.exe
