#!/usr/bin/env zsh

# Job name
#SBATCH --export=none
#SBATCH --partition=c18m
#SBATCH --job-name=myBatchJob

# Limit run time to 5 minutes
#SBATCH --time=00:05:00

# Request 1000 MB RAM per slot
#SBATCH --mem=1000M

# Specify custom locations for the standard output and error
#SBATCH --output=stdout.log
#SBATCH --error=stderr.log

# Request 4 MPI processes spread across 2 nodes
#SBATCH --nodes=2
#SBATCH --cpus-per-task=1
#SBATCH --ntasks-per-core=1
#SBATCH --ntasks-per-node=2

${MPIFC} ${FLAGS_FAST} -cpp jacobi.f90 -o jacobi.exe
export OMP_NUM_THREADS=${SLURM_CPUS_PER_TASK}
${MPIEXEC} ${FLAGS_MPI_BATCH} jacobi.exe < input
